# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiBump3dTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()

        self.addControl('bumpMap', label='凹凸贴图')
        self.addControl('bumpHeight', label='凹凸高度')
        self.addControl('epsilon', label='最小正值')

        self.addSeparator()
        self.addControl('normal', label='常规')

        pm.mel.AEdependNodeTemplate(self.nodeName)

        self.addExtraControls()
        self.endScrollLayout()

